@article{Schach2002,
author = {Schach, S.R. and Jin, B. and Wright, D.R. and Heller, G.Z. and Offutt, A.J.},
issn = {14625970},
journal = {IEE Proceedings - Software},
number = {1},
pages = {18},
title = {{Maintainability of the Linux kernel}},
volume = {149},
year = {2002}
}
@article{Fitzgerald2006,
 ISSN = {02767783},
 abstract = {A frequent characterization of open source software is the somewhat outdated, mythical one of a collective of supremely talented software hackers freely volunteering their services to produce uniformly high-quality software. I contend that the open source software phenomenon has metamorphosed into a more mainstream and commercially viable form, which I label as OSS 2.0. I illustrate this transformation using a framework of process and product factors, and discuss how the bazaar metaphor, which up to now has been associated with the open source development process, has actually shifted to become a metaphor better suited to the OSS 2.0 product delivery and support process. Overall the OSS 2.0 phenomenon is significantly different from its free software antecedent. Its emergence accentuates the fundamental alteration of the basic ground rules in the software landscape, signifying the end of the proprietary-driven model that has prevailed for the past 20 years or so. Thus, a clear understanding of the characteristics of the emergent OSS 2.0 phenomenon is required to address key challenges for research and practice.},
 author = {Brian Fitzgerald},
 journal = {MIS Quarterly},
 number = {3},
 pages = {587--598},
 publisher = {Management Information Systems Research Center, University of Minnesota},
 title = {The Transformation of Open Source Software},
 volume = {30},
 year = {2006}
}
@article{Raymond1999,
author = {Raymond, Eric},
issn = {0897-1986},
journal = {Knowledge, Technology {\&} Policy},
month = {sep},
number = {3},
pages = {23--49},
title = {The cathedral and the bazaar},
volume = {12},
year = {1999}
}
@article{Sanders1998,
author = {Sanders, J.},
issn = {07407459},
journal = {IEEE Software},
number = {5},
pages = {88--91},
title = {{Linux, open source, and software's future}},
volume = {15},
year = {1998}
}
@misc{Rigby2008,
author = {Rigby, Peter C. and Germ{\'{a}}n, Daniel M. and Storey, Margaret-Anne},
file = {:home/melissawen/.local/share/data/Mendeley Ltd./Mendeley Desktop/Downloaded/Rigby, Germ{\'{a}}n, Storey - 2008 - Open source software peer review practices A case study of the Apache Server.pdf:pdf},
title = {{Open source software peer review practices : A case study of the Apache Server}},
year = {2008}
}
@article{Rigby2014,
author = {Rigby, Peter C. and German, Daniel M. and Cowen, Laura and Storey, Margaret-Anne},
issn = {1049331X},
journal = {ACM Transactions on Software Engineering and Methodology},
keywords = {Peer review,inspection,mining software repositories,open-source software},
month = {sep},
number = {4},
pages = {1--33},
publisher = {ACM},
title = {{Peer Review on Open-Source Software Projects}},
volume = {23},
year = {2014}
}
@article{Scacchi2006,
author = {Scacchi, Walt and Feller, Joseph and Fitzgerald, Brian and Hissam, Scott and Lakhani, Karim},
issn = {1077-4866},
journal = {Software Process: Improvement and Practice},
keywords = {free software development,free/open source software processes,open source software development},
month = {mar},
number = {2},
pages = {95--105},
publisher = {John Wiley {\&} Sons, Ltd},
title = {{Understanding Free/Open Source Software Development Processes}},
volume = {11},
year = {2006}
}
@inproceedings{Scacchi2007,
address = {New York, New York, USA},
author = {Scacchi, Walt and Walt},
booktitle = {The 6th Joint Meeting on European software engineering conference and the ACM SIGSOFT symposium on the foundations of software engineering companion papers - ESEC-FSE companion '07},
isbn = {9781595938121},
keywords = {empirical studies,free software,open source software,socio-technical relationships,software development practices},
pages = {459},
publisher = {ACM Press},
title = {{Free/open source software development}},
year = {2007}
}
@article{Crowston2012,
author = {Crowston, Kevin and Wei, Kangning and Howison, James and Wiggins, Andrea},
issn = {03600300},
journal = {ACM Computing Surveys},
keywords = {Free/Libre open-source software,computer-mediated communication,development,distributed work},
month = {feb},
number = {2},
pages = {1--35},
publisher = {ACM},
title = {{Free/Libre open-source software development}},
volume = {44},
year = {2012}
}
@article{Godin2015,
author = {Godin, Katelyn and Stapleton, Jackie and Kirkpatrick, Sharon I. and Hanning, Rhona M. and Leatherdale, Scott T.},
issn = {2046-4053},
journal = {Systematic Reviews},
month = {oct},
pages = {138},
pmid = {26494010},
publisher = {BioMed Central},
title = {{Applying systematic review search methods to the grey literature: a case study examining guidelines for school-based breakfast programs in Canada}},
volume = {4},
year = {2015}
}
@article{Mahood2014,
author = {Mahood, Quenby and {Van Eerd}, Dwayne and Irvin, Emma},
issn = {17592879},
journal = {Research Synthesis Methods},
keywords = {grey literature,literature searching,systematic reviews},
month = {sep},
number = {3},
pages = {221--234},
publisher = {John Wiley {\&} Sons, Ltd},
title = {{Searching for grey literature for systematic reviews: challenges and benefits}},
volume = {5},
year = {2014}
}
@article{Soldani2018,
author = {Soldani, Jacopo and Tamburri, Damian Andrew and {Van Den Heuvel}, Willem-Jan},
issn = {0164-1212},
journal = {Journal of Systems and Software},
month = {dec},
pages = {215--232},
publisher = {Elsevier},
title = {{The pains and gains of microservices: A Systematic grey literature review}},
volume = {146},
year = {2018}
}
@article{arsenio2017,
author = {Paez, Arsenio},
issn = {17565391},
journal = {Journal of Evidence-Based Medicine},
keywords = {evidence,gray literature,publication bias,search,systematic review},
month = {aug},
number = {3},
pages = {233--240},
publisher = {John Wiley {\&} Sons, Ltd (10.1111)},
title = {{Gray literature: An important resource in systematic reviews}},
volume = {10},
year = {2017}
}
@inproceedings{kon2012,
  title={Software livre e propriedade intelectual: aspectos jur{\'\i}dicos, licen{\c{c}}as e modelos de neg{\'o}cio},
  author={Kon, Fabio and Lago, Nelson and Meirelles, Paulo and Sabino, Vanessa},
  booktitle={XXXI Jornadas de Atualização em Informática},
  note = {[in portuguese]},
  year={2012}
}
@inproceedings{kon2011,
  author = {Kon, Fabio and Meirelles, Paulo and Lago, Nelson and Terceiro, Antonio and Chavez, Christina and Mendonça, Manoel},
  booktitle = {SBES},
  interhash = {cb27e5a1aa6816e36e92a1d3b9011615},
  intrahash = {e2a62e30feb05e8d521332b4e436e2b2},
  isbn = {978-1-4577-2187-8},
  pages = {82-91},
  publisher = {IEEE Computer Society},
  title = {Free and Open Source Software Development and Research: Opportunities for Software Engineering.},
  year = {2011}
}
@article{hippel2003,
  author = {Hippel, Eric von and Krogh, Georg von},
  title = {Open Source Software and the "Private-Collective" Innovation Model: Issues for Organization Science},
  journal = {Organization Science},
  issue_date = {March 2003},
  volume = {14},
  number = {2},
  month = {mar},
  year = {2003},
  issn = {1526-5455},
  pages = {209--223},
  numpages = {15},
  acmid = {970585},
  publisher = {INFORMS},
  address = {Institute for Operations Research and the Management Sciences (INFORMS), Linthicum, Maryland, USA},
  keywords = {Incentives, Innovation, Open source software, User innovation, users, collective action},
} 
@mastersthesis{sabino2009,
  title={A systematic study on Free Software License},
  author={Vanessa Sabino},
  year={2009},
  school={Department of Computer Science -- Institute of Mathematics and Statistics of University of S{\~a}o Paulo},
  note = {[in portuguese]},
}
@article{mockus2002,
  abstract = {According to its proponents, open source style software development has the capacity to compete successfully, and perhaps in many cases displace, traditional commercial development methods. In order to begin investigating such claims, we examine data from two major open source projects, the Apache web server and the Mozilla browser. By using email archives of source code change history and problem reports we quantify aspects of developer participation, core team size, code ownership, productivity, defect density, and problem resolution intervals for these OSS projects. We develop several hypotheses by comparing the Apache project with several commercial projects. We then test and refine several of these hypotheses, based on an analysis of Mozilla data. We conclude with thoughts about the prospects for high-performance commercial/open source process hybrids.},
  acmid = {567795},
  address = {New York, NY, USA},
  author = {Mockus, Audris and Fielding, Roy T. and Herbsleb, James D.},
  interhash = {9d7d30e70fa9346e10a7b6b43b02110a},
  intrahash = {5fdd241ae5883907a249afce13ec8767},
  issn = {1049-331X},
  issue = {3},
  journal = {ACM Trans. Softw. Eng. Methodol.},
  month = {July},
  numpages = {38},
  pages = {309--346},
  publisher = {ACM},
  title = {Two case studies of open source software development: Apache and Mozilla},
  volume = 11,
  year = {2002}
}
@article{ducheneaut2005,
  author    = {Nicolas Ducheneaut},
  title     = {Socialization in an Open Source Software Community: {A} Socio-Technical Analysis},
  journal   = {Computer Supported Cooperative Work},
  volume    = {14},
  number    = {4},
  pages     = {323--368},
  year      = {2005},
  timestamp = {Sun, 28 May 2017 13:18:01 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/cscw/Ducheneaut05},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{fagerholm2013,
  added-at = {2013-12-03T00:00:00.000+0100},
  author = {Fagerholm, Fabian and Johnson, Patrik and Guinea, Alejandro Sánchez and Borenstein, Jay and Münch, Jürgen},
  biburl = {https://www.bibsonomy.org/bibtex/2e53c6891d81b6bb193127bd36d0ace9a/dblp},
  ee = {http://arxiv.org/abs/1311.1334},
  interhash = {155c1f8c94dde6515ab65c8e88ee5ef5},
  intrahash = {e53c6891d81b6bb193127bd36d0ace9a},
  journal = {CoRR},
  keywords = {dblp},
  timestamp = {2013-12-04T11:33:18.000+0100},
  title = {Onboarding in Open Source Software Projects: A Preliminary Analysis.},
  volume = {abs/1311.1334},
  year = {2013}
}
@inproceedings{fagerholm2014,
  author = {Fagerholm, Fabian and Guinea, Alejandro S. and M\"{u}nch, J\"{u}rgen and Borenstein, Jay},
  title = {The Role of Mentoring and Project Characteristics for Onboarding in Open Source Software Projects},
  booktitle = {Proceedings of the 8th ACM/IEEE International Symposium on Empirical Software Engineering and Measurement},
  series = {ESEM '14},
  year = {2014},
  isbn = {978-1-4503-2774-9},
  location = {Torino, Italy},
  pages = {55:1--55:10},
  articleno = {55},
  numpages = {10},
  acmid = {2652540},
  publisher = {ACM},
  address = {New York, NY, USA},
  keywords = {case study, distributed development, mentoring, onboarding, open source software, organisational socialisation, software teams},
}
@inproceedings{osterlie2007,
  title={A critical review of software engineering research on open source software development},
  author={{\O}sterlie, Thomas and Jaccheri, Letizia},
  booktitle={Proceeding of the 2nd AIS SIGSAND European Symposium on Systems Analysis and Design, Gdansk, Poland},
  year={2007}
}
@article{flossmole2005,
  title={FLOSSmole: A Collaborative Repository for FLOSS Research Data and Analyses},
  author={James Howison and Megan Conklin and Kevin Crowston},
  journal={IJITWE},
  year={2005},
  volume={1},
  pages={17-26}
}
@article{garousi2018,
author = {Garousi, Vahid and Felderer, Michael and Mäntylä, Mika},
year = {2018},
month = {09},
pages = {},
title = {Guidelines for including grey literature and conducting multivocal literature reviews in software engineering},
journal = {Information and Software Technology},
}
@article{ohloh2015,
 author = {Bruntink, Magiel},
 title = {Towards Base Rates in Software Analytics},
 journal = {Sci. Comput. Program.},
 volume = {97},
 number = {P1},
 year = {2015},
 issn = {0167-6423},
 pages = {135--142},
 numpages = {8},
 publisher = {Elsevier North-Holland, Inc.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 keywords = {Base rates, Open source software, Software analytics, Software engineering},
}
@book{action2013,
  title={Action Research},
  author={Stringer, E.T.},
  isbn={9781483320731},
  year={2013},
  publisher={SAGE Publications}
}
@book{action1988,
  title={The Action Research Planner. Third Edition},
  author={Kemmis, ed and McTaggart, ed and Di Chiro, G. and Reid, J. and Robottom, I. and Tinning, R. and White, L.},
  year={1988}
}
@book{publicationbias2005,
abstract = {Publication bias is the tendency to decide to publish a study based on the results of the study, rather than on the basis of its theoretical or methodological quality. It can arise from selective publication of favorable results, or of statistically significant results. Publication bias in meta-analysis / Hannah R. Rothstein, Alexander J. Sutton and Michael Borenstein -- Publication bias: recognizing the problem, understanding its origins and scope, and preventing harm / Kay Dickersin -- Preventing publication bias: registries and prospective meta-analysis / Jesse A. Berlin and Davine Ghersi -- Grey literature and systematic reviews / Sally Hopewell, Mike Clarke and Sue Mallen -- The funnel plot / Jonathan A.C. Sterne, Betsy Jane Becker and Matthias Egger -- Regression methods to detect publication and other bias in meta-analysis / Jonathan A.C. Sterne and Matthias Egger -- Failsafe N or file-drawer number / Betsy Jane Becker -- The trim and fill method / Sue Duval -- Selection method approaches / Larry V. Hedges and Jack Vevea. Evidence concerning the consequences of publication and related biases / Alexander J. Sutton -- Software for publication bias / Michael Borenstein -- Bias in meta-analysis induced by incompletely reported studies / Alexander J. Sutton and Therese D. Pigott -- Assessing the evolution of effect sizes over time / Thomas A. Trikalinos and John P.A. Ioannidis -- Do systematic reviews based on individual patient data offer a means of circumventing biases associated with trial publications? / Lesley Stewart, Jayne Tierney and Sarah Burdett -- Differentiating biases from genuine heterogeneity: distinguishing artifactual from substantive effects / John P.A. Ioannidis -- Beyond conventional publication bias: other determinants of data suppression / Scott D. Halpern and Jesse A. Berlin.},
author = {Rothstein, Hannah. and Sutton, A. J. and Borenstein, Michael.},
isbn = {9780470870143},
pages = {356},
publisher = {Wiley},
title = {Publication bias in meta-analysis : prevention, assessment and adjustments},
year = {2005}
}
@book{bovet2005,
  title={Understanding the Linux Kernel: from I/O ports to process management},
  author={Bovet, Daniel P and Cesati, Marco},
  year={2005},
  publisher={" O'Reilly Media, Inc."}
}
@article{solani2018,
title = {The pains and gains of microservices: A Systematic grey literature review},
journal = {Journal of Systems and Software},
volume = {146},
pages = {215--232},
year = {2018},
issn = {0164-1212},
author = {Jacopo Soldani and Damian Andrew Tamburri and Willem-Jan Van Den Heuvel},
keywords = {Microservices, Microservices design, Microservices development, Microservices operation, Systematic grey literature review, Systematic literature review}
}

